﻿using System;
using System.Drawing;

namespace WpfOsi.BaseClasses
{
    [Serializable]
    public class StepBase:ModelBase
    {
        private int _stepNo;
        public int StepNo
        {
            get { return _stepNo; }
            set { _stepNo = value; RaisePropertyChanged(); }
        }
        private string _stepText;
        public string StepText
        {
            get { return _stepText; }
            set { _stepText = value; RaisePropertyChanged(); }
        }
        private Image _stepImage;
        public Image StepImage
        {
            get { return _stepImage; }
            set { _stepImage = value; RaisePropertyChanged(); }
        }
        private string _imageText;
        public string ImageText
        {
            get { return _imageText; }
            set { _imageText = value; RaisePropertyChanged(); }
        }
    }
}
