﻿using System;
using System.Windows;
using WpfOsi.Context;
using WpfOsi.Workspace;
namespace WpfOsi
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
        private void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            using (OsiContext ctx = new OsiContext(AppDomain.CurrentDomain.BaseDirectory + @"osiData.xml", true))
            {
                if (!ctx.HasPessimisticLock)
                    ctx.Seed();
            }
            DataContext = new MainWorkspace();
        }
    }
}
