﻿using System;

namespace WpfOsi.BaseClasses
{
    [Serializable]
   public abstract class ModelBase:NotifyBase
    {
        private Guid _id = Guid.NewGuid();

        public Guid ID
        {
            get { return _id; }
            set { _id = value; RaisePropertyChanged(); }
        }
        private DateTime _creationTimestamp = DateTime.Now;

        public DateTime CreationTimeStamp
        {
            get { return _creationTimestamp; }
            set { _creationTimestamp = value;RaisePropertyChanged(); }
        }
        private string _createdBy = Environment.UserName;

        public string CreatedBy
        {
            get { return _createdBy; }
            set { _createdBy = value;RaisePropertyChanged(); }
        }


    }
}
