﻿using System;
using System.Collections.ObjectModel;
namespace WpfOsi.Model
{
    [Serializable]
    public class Instruction:BaseClasses.ModelBase
    {
        public Instruction()
        {
            MainSteps = new ObservableCollection<MainStep>();
        }
        private int _formularNumber;
        public int FormularNumber
        {
            get { return _formularNumber; }
            set { _formularNumber = value;RaisePropertyChanged(); }
        }
        private string _formularName;
        public string FormularName
        {
            get { return _formularName; }
            set { _formularName = value; RaisePropertyChanged(); }
        }
        private int _revisionNumber;
        public int RevisionNumber
        {
            get { return _revisionNumber; }
            set { _revisionNumber = value;RaisePropertyChanged(); }
        }
        private DateTime _revisionDate;
        public DateTime RevisionDate
        {
            get { return _revisionDate; }
            set { _revisionDate = value; RaisePropertyChanged(); }
        }
        private Guid _lineID;
        public Guid LineID
        {
            get { return _lineID; }
            set { _lineID = value; RaisePropertyChanged(); }
        }
        private ObservableCollection<MainStep> _mainSteps;
        public ObservableCollection<MainStep>  MainSteps
        {
            get { return _mainSteps; }
            set { _mainSteps = value;RaisePropertyChanged(); }
        }

    }
}
